$("#body-row .collapse").collapse("hide");

// Collapse/Expand icon
$("#collapse-icon").addClass("fa-angle-double-left");

// Collapse click
$("[data-toggle=sidebar-colapse]").click(function () {
  SidebarCollapse();
});

const toTopButton = document.querySelector(".toTop");

function SidebarCollapse() {
  const collapseFlag = true;
  $(".list-group i").toggleClass("menu-icon");
  $(".menu-collapsed").toggleClass("d-none");
  $(".sidebar-submenu").toggleClass("d-none");
  $(".submenu-icon").toggleClass("d-none");
  $("#sidebar-container").toggleClass(
    "sidebar-expanded sidebar-collapsed col-2 col-1"
  );
  $(".main").toggleClass("col-10 col-11");

  // Treating d-flex/d-none on separators with title
  var SeparatorTitle = $(".sidebar-separator-title");
  if (SeparatorTitle.hasClass("d-flex")) {
    SeparatorTitle.removeClass("d-flex");
  } else {
    SeparatorTitle.addClass("d-flex");
  }

  // Collapse/Expand icon
  $("#collapse-icon").toggleClass("fa-angle-double-left fa-angle-double-right");
}

// Scroll To Top
window.addEventListener("scroll", autoFade);
toTopButton.addEventListener("click", scrollTop);
function scrollTop() {
  document.body.scrollTop = 0;
  document.documentElement.scrollTop = 0;
}

// To Top Button Display
function autoFade() {
  if (
    document.body.scrollTop >= 300 ||
    document.documentElement.scrollTop >= 300
  ) {
    toTopButton.style.display = 1;
  } else {
    toTopButton.style.display = 0;
  }
}

// Show Font Text
const txtcut = document.querySelectorAll(".txt__cut");
for (let i = 0; i < txtcut.length; i++) {
  if (txtcut[i].textContent.length > 16) {
    txtcut[i].textContent = txtcut[i].textContent.slice(0, 60).concat(["..."]);
  }
}

//  Open Table Button
const btn__opentab = document.querySelectorAll(".btn__opentab");
const form__action = document.querySelectorAll(".form__action");

for (let i = 0; i < btn__opentab.length; i++) {
  btn__opentab[i].addEventListener("click", function () {
    $(this).next().toggleClass("autoHeight");
    if ($(this).children().hasClass("fa-chevron-down")) {
      $(this).children().removeClass();
      $(this).children().addClass("fas fa-chevron-up");
    } else {
      $(this).children().removeClass();
      $(this).children().addClass("fas fa-chevron-down");
    }
  });
}

$("#updatePassword").on("input", (e) => {
  let encode = window.btoa(`${e.target.value}`);
  if (encode === "YWRtaW4=") {
    $("#updateBtn").removeClass("disabled");
    $("#updateBtn a").removeClass("disabled-link");
  } else {
    $("#updateBtn").addClass("disabled");
    $("#updateBtn a").addClass("disabled-link");
  }
});

$("#updateBtn").on("click", () => {
  let classValue = $('#updateBtn').attr('class');
  if (!classValue.includes('disabled')) {
    alert("更新成功！請點擊確認並稍候…");
  }
});
